%global	debug_package %{nil}

Summary:	Cloud image management utilities
Name:		cloud-utils
Version:	0.33
Release:	4%{?dist}
License:	GPLv3
URL:		https://github.com/canonical/cloud-utils/
Source0:	%{url}archive/refs/tags/%{version}.tar.gz #/%{name}-%{version}.tar.gz

Requires:	python3 cloud-utils-growpart qemu-img
Requires:	util-linux e2fsprogs gawk file

%description
This package provides a useful set of utilities for managing cloud images.
The tasks associated with image bundling are often tedious and repetitive. The
cloud-utils package provides several scripts that wrap the complicated tasks
with a much simpler interface.


%package growpart
Summary:	Script for growing a partition
Requires:	gawk util-linux gdisk

%description growpart
This package provides the growpart script for growing a partition. It is
primarily used in cloud images in conjunction with the dracut-modules-growroot
package to grow the root partition on first boot.


%prep
%setup -q


%build


%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1

cp bin/* $RPM_BUILD_ROOT/%{_bindir}/
cp man/* $RPM_BUILD_ROOT/%{_mandir}/man1/

rm $RPM_BUILD_ROOT/%{_bindir}/*ubuntu*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/cloud-run-instances.*
rm -f $RPM_BUILD_ROOT/%{_bindir}/cloud-publish-*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/cloud-publish-*

cp bin/growpart $RPM_BUILD_ROOT/%{_bindir}/
cp man/growpart.* $RPM_BUILD_ROOT/%{_mandir}/man1/


%files
%license LICENSE
%doc ChangeLog
%{_bindir}/cloud-localds
%{_bindir}/write-mime-multipart
%{_bindir}/ec2metadata
%{_bindir}/resize-part-image
%{_bindir}/mount-image-callback
%{_bindir}/vcs-run
%doc %{_mandir}/man1/resize-part-image.*
%doc %{_mandir}/man1/write-mime-multipart.*
%doc %{_mandir}/man1/cloud-localds.*


%files growpart
%license LICENSE
%doc ChangeLog
%{_bindir}/growpart
%doc %{_mandir}/man1/growpart.*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jun 26 2023 kianli <kianli@tencent.com> - 0.33-1
- Upgrade to 0.33

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 14 2022 rockerzhu <rockerzhu@tencent.com> - 0.31-1
- Initial build
